

import * as Block from "bs-platform/lib/es6/block.js";
import * as Curry from "bs-platform/lib/es6/curry.js";
import * as Printf from "bs-platform/lib/es6/printf.js";
import * as Pervasives from "bs-platform/lib/es6/pervasives.js";

function no_js(name) {
  return Pervasives.failwith(Curry._1(Printf.sprintf(/* Format */[
                      /* Char_literal */Block.__(12, [
                          /* "`" */96,
                          /* String */Block.__(2, [
                              /* No_padding */0,
                              /* String_literal */Block.__(11, [
                                  "` isn't available when compiled for a JavaScript target",
                                  /* End_of_format */0
                                ])
                            ])
                        ]),
                      "`%s` isn't available when compiled for a JavaScript target"
                    ]), name));
}

function pretty_print(_out, _json) {
  return no_js("Yojson.Safe.pretty_print");
}

var Safe = {
  pretty_print: pretty_print
};

export {
  no_js ,
  Safe ,
  
}
/* No side effect */
